// tcl wrapper for vtkUniformGridAMRDataIterator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkUniformGridAMRDataIterator.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkUniformGridAMRDataIteratorNewCommand()
{
  vtkUniformGridAMRDataIterator *temp = vtkUniformGridAMRDataIterator::New();
  return static_cast<ClientData>(temp);
}

int vtkCompositeDataIteratorCppCommand(vtkCompositeDataIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkUniformGridAMRDataIteratorCppCommand(vtkUniformGridAMRDataIterator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkUniformGridAMRDataIteratorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkUniformGridAMRDataIteratorCppCommand(static_cast<vtkUniformGridAMRDataIterator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkUniformGridAMRDataIterator_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkUniformGridAMRDataIterator"),vtkUniformGridAMRDataIteratorNewCommand,vtkUniformGridAMRDataIteratorCommand);
  return 0;
}

int VTKTCL_EXPORT vtkUniformGridAMRDataIteratorCppCommand(vtkUniformGridAMRDataIterator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkUniformGridAMRDataIterator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkCompositeDataIteratorCppCommand(static_cast<vtkCompositeDataIterator *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkCompositeDataIterator"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkUniformGridAMRDataIterator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUniformGridAMRDataIterator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkUniformGridAMRDataIterator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUniformGridAMRDataIterator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkUniformGridAMRDataIterator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUniformGridAMRDataIterator");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCurrentMetaData",argv[1]))&&(argc == 2))
    {
    vtkInformation  *temp20;
    temp20 = (op)->GetCurrentMetaData();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkInformation");
    return TCL_OK;
    }
  if ((!strcmp("HasCurrentMetaData",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasCurrentMetaData();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentDataObject",argv[1]))&&(argc == 2))
    {
    vtkDataObject  *temp20;
    temp20 = (op)->GetCurrentDataObject();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObject");
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentFlatIndex",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetCurrentFlatIndex();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentLevel",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetCurrentLevel();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentIndex",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetCurrentIndex();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GoToFirstItem",argv[1]))&&(argc == 2))
    {
    op->GoToFirstItem();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GoToNextItem",argv[1]))&&(argc == 2))
    {
    op->GoToNextItem();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("IsDoneWithTraversal",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDoneWithTraversal();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkUniformGridAMRDataIteratorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkCompositeDataIteratorCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkUniformGridAMRDataIterator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentMetaData\n",NULL);
    Tcl_AppendResult(interp,"  HasCurrentMetaData\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentDataObject\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentFlatIndex\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentIndex\n",NULL);
    Tcl_AppendResult(interp,"  GoToFirstItem\n",NULL);
    Tcl_AppendResult(interp,"  GoToNextItem\n",NULL);
    Tcl_AppendResult(interp,"  IsDoneWithTraversal\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkCompositeDataIteratorCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentMetaData" );
    Tcl_DStringAppendElement ( &dString, "HasCurrentMetaData" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentDataObject" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentFlatIndex" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentLevel" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentIndex" );
    Tcl_DStringAppendElement ( &dString, "GoToFirstItem" );
    Tcl_DStringAppendElement ( &dString, "GoToNextItem" );
    Tcl_DStringAppendElement ( &dString, "IsDoneWithTraversal" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkCompositeDataIteratorCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkUniformGridAMRDataIterator *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentMetaData */
    if ( strcmp ( argv[2], "GetCurrentMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentMetaData */
    Tcl_DStringAppendElement ( &dString, " Returns the meta-data associated with the current item.\n Note that this points to a single instance of vtkInformation object\n allocated by the iterator and will be changed as soon as GoToNextItem is\n called.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkInformation *GetCurrentMetaData();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GetCurrentMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasCurrentMetaData */
    if ( strcmp ( argv[2], "HasCurrentMetaData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasCurrentMetaData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasCurrentMetaData */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasCurrentMetaData();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for HasCurrentMetaData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentDataObject */
    if ( strcmp ( argv[2], "GetCurrentDataObject" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentDataObject" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentDataObject */
    Tcl_DStringAppendElement ( &dString, " Returns the current item. Valid only when IsDoneWithTraversal() returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual vtkDataObject *GetCurrentDataObject();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GetCurrentDataObject */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentFlatIndex */
    if ( strcmp ( argv[2], "GetCurrentFlatIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentFlatIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentFlatIndex */
    Tcl_DStringAppendElement ( &dString, " Flat index is an index obtained by traversing the tree in preorder.\n This can be used to uniquely identify nodes in the tree.\n Not valid if IsDoneWithTraversal() returns true.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetCurrentFlatIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GetCurrentFlatIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentLevel */
    if ( strcmp ( argv[2], "GetCurrentLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentLevel */
    Tcl_DStringAppendElement ( &dString, " Returns the level for the current dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetCurrentLevel();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GetCurrentLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentIndex */
    if ( strcmp ( argv[2], "GetCurrentIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentIndex */
    Tcl_DStringAppendElement ( &dString, " Returns the dataset index for the current data object. Valid only if the\n current data is a leaf node i.e. no a composite dataset.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual unsigned int GetCurrentIndex();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GetCurrentIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GoToFirstItem */
    if ( strcmp ( argv[2], "GoToFirstItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GoToFirstItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GoToFirstItem */
    Tcl_DStringAppendElement ( &dString, " Move the iterator to the beginning of the collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GoToFirstItem();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GoToFirstItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GoToNextItem */
    if ( strcmp ( argv[2], "GoToNextItem" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GoToNextItem" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GoToNextItem */
    Tcl_DStringAppendElement ( &dString, " Move the iterator to the next item in the collection.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void GoToNextItem();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for GoToNextItem */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsDoneWithTraversal */
    if ( strcmp ( argv[2], "IsDoneWithTraversal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDoneWithTraversal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDoneWithTraversal */
    Tcl_DStringAppendElement ( &dString, " Test whether the iterator is finished with the traversal.\n Returns 1 for yes, and 0 for no.\n It is safe to call any of the GetCurrent...() methods only when\n IsDoneWithTraversal() returns 0.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int IsDoneWithTraversal();" );
    Tcl_DStringAppendElement ( &dString, "vtkUniformGridAMRDataIterator" );
    /* Closing for IsDoneWithTraversal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkCompositeDataIteratorCppCommand(static_cast<vtkCompositeDataIterator *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
