// tcl wrapper for vtkProteinRibbonFilter object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkProteinRibbonFilter.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkProteinRibbonFilterNewCommand()
{
  vtkProteinRibbonFilter *temp = vtkProteinRibbonFilter::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataAlgorithmCppCommand(vtkPolyDataAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkProteinRibbonFilterCppCommand(vtkProteinRibbonFilter *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkProteinRibbonFilterCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkProteinRibbonFilterCppCommand(static_cast<vtkProteinRibbonFilter *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkProteinRibbonFilter_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkProteinRibbonFilter"),vtkProteinRibbonFilterNewCommand,vtkProteinRibbonFilterCommand);
  return 0;
}

int VTKTCL_EXPORT vtkProteinRibbonFilterCppCommand(vtkProteinRibbonFilter *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkProteinRibbonFilter",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkProteinRibbonFilter  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProteinRibbonFilter");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkProteinRibbonFilter  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProteinRibbonFilter");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkProteinRibbonFilter  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProteinRibbonFilter");
    return TCL_OK;
    }
  if ((!strcmp("GetCoilWidth",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetCoilWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCoilWidth",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetCoilWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHelixWidth",argv[1]))&&(argc == 2))
    {
    float    temp20;
    temp20 = (op)->GetHelixWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetHelixWidth",argv[1]))&&(argc == 3))
    {
    float    temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHelixWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSubdivideFactor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSubdivideFactor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSubdivideFactor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSubdivideFactor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawSmallMoleculesAsSpheres",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->GetDrawSmallMoleculesAsSpheres();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawSmallMoleculesAsSpheres",argv[1]))&&(argc == 3))
    {
    bool   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi ? true : false;
    if (!error)
    {
    op->SetDrawSmallMoleculesAsSpheres(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSphereResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSphereResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSphereResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSphereResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkProteinRibbonFilterCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkProteinRibbonFilter:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetCoilWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetCoilWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHelixWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetHelixWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSubdivideFactor\n",NULL);
    Tcl_AppendResult(interp,"  SetSubdivideFactor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawSmallMoleculesAsSpheres\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawSmallMoleculesAsSpheres\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetSphereResolution\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetCoilWidth" );
    Tcl_DStringAppendElement ( &dString, "SetCoilWidth" );
    Tcl_DStringAppendElement ( &dString, "GetHelixWidth" );
    Tcl_DStringAppendElement ( &dString, "SetHelixWidth" );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideFactor" );
    Tcl_DStringAppendElement ( &dString, "SetSubdivideFactor" );
    Tcl_DStringAppendElement ( &dString, "GetDrawSmallMoleculesAsSpheres" );
    Tcl_DStringAppendElement ( &dString, "SetDrawSmallMoleculesAsSpheres" );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolution" );
    Tcl_DStringAppendElement ( &dString, "SetSphereResolution" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkProteinRibbonFilter *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCoilWidth */
    if ( strcmp ( argv[2], "GetCoilWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCoilWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCoilWidth */
    Tcl_DStringAppendElement ( &dString, " Width of the ribbon coil. Default is 0.3.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetCoilWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for GetCoilWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCoilWidth */
    if ( strcmp ( argv[2], "SetCoilWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCoilWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCoilWidth */
    Tcl_DStringAppendElement ( &dString, " Width of the ribbon coil. Default is 0.3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCoilWidth(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for SetCoilWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHelixWidth */
    if ( strcmp ( argv[2], "GetHelixWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHelixWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHelixWidth */
    Tcl_DStringAppendElement ( &dString, " Width of the helix part of the ribbon. Default is 1.3.\n" );
    Tcl_DStringAppendElement ( &dString, "float GetHelixWidth();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for GetHelixWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHelixWidth */
    if ( strcmp ( argv[2], "SetHelixWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHelixWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHelixWidth */
    Tcl_DStringAppendElement ( &dString, " Width of the helix part of the ribbon. Default is 1.3.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHelixWidth(float a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for SetHelixWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSubdivideFactor */
    if ( strcmp ( argv[2], "GetSubdivideFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSubdivideFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSubdivideFactor */
    Tcl_DStringAppendElement ( &dString, " Smoothing factor of the ribbon. Default is 20.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSubdivideFactor();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for GetSubdivideFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSubdivideFactor */
    if ( strcmp ( argv[2], "SetSubdivideFactor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSubdivideFactor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSubdivideFactor */
    Tcl_DStringAppendElement ( &dString, " Smoothing factor of the ribbon. Default is 20.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSubdivideFactor(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for SetSubdivideFactor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawSmallMoleculesAsSpheres */
    if ( strcmp ( argv[2], "GetDrawSmallMoleculesAsSpheres" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawSmallMoleculesAsSpheres" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawSmallMoleculesAsSpheres */
    Tcl_DStringAppendElement ( &dString, " If enabled, small molecules (HETATMs) are drawn as spheres. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetDrawSmallMoleculesAsSpheres();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for GetDrawSmallMoleculesAsSpheres */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawSmallMoleculesAsSpheres */
    if ( strcmp ( argv[2], "SetDrawSmallMoleculesAsSpheres" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawSmallMoleculesAsSpheres" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawSmallMoleculesAsSpheres */
    Tcl_DStringAppendElement ( &dString, " If enabled, small molecules (HETATMs) are drawn as spheres. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawSmallMoleculesAsSpheres(bool a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for SetDrawSmallMoleculesAsSpheres */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereResolution */
    if ( strcmp ( argv[2], "GetSphereResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereResolution */
    Tcl_DStringAppendElement ( &dString, " Resolution of the spheres for small molecules. Default is 20.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSphereResolution();" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for GetSphereResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSphereResolution */
    if ( strcmp ( argv[2], "SetSphereResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSphereResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSphereResolution */
    Tcl_DStringAppendElement ( &dString, " Resolution of the spheres for small molecules. Default is 20.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSphereResolution(int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkProteinRibbonFilter" );
    /* Closing for SetSphereResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataAlgorithmCppCommand(static_cast<vtkPolyDataAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
