#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkGenericClip_TclCreate(Tcl_Interp *interp);
int vtkGenericContourFilter_TclCreate(Tcl_Interp *interp);
int vtkGenericCutter_TclCreate(Tcl_Interp *interp);
int vtkGenericDataSetTessellator_TclCreate(Tcl_Interp *interp);
int vtkGenericGeometryFilter_TclCreate(Tcl_Interp *interp);
int vtkGenericGlyph3DFilter_TclCreate(Tcl_Interp *interp);
int vtkGenericOutlineFilter_TclCreate(Tcl_Interp *interp);
int vtkGenericProbeFilter_TclCreate(Tcl_Interp *interp);
int vtkGenericStreamTracer_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfiltersgenerictcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfiltersgenerictcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfiltersgenerictcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfiltersgenerictcl_Init(interp);
}


int VTK_EXPORT Vtkfiltersgenerictcl_Init(Tcl_Interp *interp)
{

  vtkGenericClip_TclCreate(interp);
  vtkGenericContourFilter_TclCreate(interp);
  vtkGenericCutter_TclCreate(interp);
  vtkGenericDataSetTessellator_TclCreate(interp);
  vtkGenericGeometryFilter_TclCreate(interp);
  vtkGenericGlyph3DFilter_TclCreate(interp);
  vtkGenericOutlineFilter_TclCreate(interp);
  vtkGenericProbeFilter_TclCreate(interp);
  vtkGenericStreamTracer_TclCreate(interp);
  char pkgName[]="vtkFiltersGenericTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
