// tcl wrapper for vtkAbstractGridConnectivity object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkAbstractGridConnectivity.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>
int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkAbstractGridConnectivityCppCommand(vtkAbstractGridConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkAbstractGridConnectivityCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkAbstractGridConnectivityCppCommand(static_cast<vtkAbstractGridConnectivity *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkAbstractGridConnectivity_TclCreate(Tcl_Interp *interp)
{
  (void)interp;
  return 0;
}

int VTKTCL_EXPORT vtkAbstractGridConnectivityCppCommand(vtkAbstractGridConnectivity *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkAbstractGridConnectivity",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkAbstractGridConnectivity  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractGridConnectivity");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkAbstractGridConnectivity  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAbstractGridConnectivity");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfGhostLayers",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetNumberOfGhostLayers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfGhostLayers",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfGhostLayers();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfGrids",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->SetNumberOfGrids(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfGrids",argv[1]))&&(argc == 2))
    {
    unsigned int      temp20;
    temp20 = (op)->GetNumberOfGrids();
    char tempResult[1024];
    sprintf(tempResult,"%u",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ComputeNeighbors",argv[1]))&&(argc == 2))
    {
    op->ComputeNeighbors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CreateGhostLayers",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->CreateGhostLayers(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostedPointGhostArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkUnsignedCharArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGhostedPointGhostArray(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostedCellGhostArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkUnsignedCharArray  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGhostedCellGhostArray(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkUnsignedCharArray");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostedGridPointData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPointData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGhostedGridPointData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointData");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostedGridCellData",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkCellData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGhostedGridCellData(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellData");
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGhostedPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPoints  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetGhostedPoints(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPoints");
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkAbstractGridConnectivityCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkAbstractGridConnectivity:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfGhostLayers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfGhostLayers\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfGrids\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfGrids\n",NULL);
    Tcl_AppendResult(interp,"  ComputeNeighbors\n",NULL);
    Tcl_AppendResult(interp,"  CreateGhostLayers\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostedPointGhostArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostedCellGhostArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostedGridPointData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostedGridCellData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGhostedPoints\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfGhostLayers" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGhostLayers" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfGrids" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGrids" );
    Tcl_DStringAppendElement ( &dString, "ComputeNeighbors" );
    Tcl_DStringAppendElement ( &dString, "CreateGhostLayers" );
    Tcl_DStringAppendElement ( &dString, "GetGhostedPointGhostArray" );
    Tcl_DStringAppendElement ( &dString, "GetGhostedCellGhostArray" );
    Tcl_DStringAppendElement ( &dString, "GetGhostedGridPointData" );
    Tcl_DStringAppendElement ( &dString, "GetGhostedGridCellData" );
    Tcl_DStringAppendElement ( &dString, "GetGhostedPoints" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfGhostLayers */
    if ( strcmp ( argv[2], "SetNumberOfGhostLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfGhostLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfGhostLayers */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of ghost layers\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfGhostLayers(unsigned int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for SetNumberOfGhostLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfGhostLayers */
    if ( strcmp ( argv[2], "GetNumberOfGhostLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGhostLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfGhostLayers */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of ghost layers\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfGhostLayers();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetNumberOfGhostLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfGrids */
    if ( strcmp ( argv[2], "SetNumberOfGrids" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfGrids" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfGrids */
    Tcl_DStringAppendElement ( &dString, " Sets the total number of grids in the domain.\n Note: This method is implemented by concrete classes.\n NOTE: Concrete classes implementing this pure virtual method must\n set the number of grids and call AllocateUserRegisterDataStructures\n in addition to defining any other additional functionality.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetNumberOfGrids(const unsigned int N) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for SetNumberOfGrids */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfGrids */
    if ( strcmp ( argv[2], "GetNumberOfGrids" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfGrids" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfGrids */
    Tcl_DStringAppendElement ( &dString, " Returns the total number of grids.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned int GetNumberOfGrids();" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetNumberOfGrids */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeNeighbors */
    if ( strcmp ( argv[2], "ComputeNeighbors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeNeighbors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeNeighbors */
    Tcl_DStringAppendElement ( &dString, " Computes the grid neighboring topology for the domain\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void ComputeNeighbors() = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for ComputeNeighbors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CreateGhostLayers */
    if ( strcmp ( argv[2], "CreateGhostLayers" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CreateGhostLayers" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CreateGhostLayers */
    Tcl_DStringAppendElement ( &dString, " Creates N layers of ghost layers where N is the number of cells that will\n be added to each grid. If no parameter is supplied, N has a nominal value\n of 1, in which case 1 layer of cells would be added.\n NOTE: This method is implemented by concrete implementations\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void CreateGhostLayers(const int N=1) = 0;" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for CreateGhostLayers */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostedPointGhostArray */
    if ( strcmp ( argv[2], "GetGhostedPointGhostArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostedPointGhostArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostedPointGhostArray */
    Tcl_DStringAppendElement ( &dString, " Returns the ghosted points ghost array for the grid associated with the\n given grid ID. The return pointer is a shallow-copy of the internal\n data-structure. The pointer may be NULL iff there is no ghosted points\n ghost array for the requested grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray *GetGhostedPointGhostArray(const int gridID);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetGhostedPointGhostArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostedCellGhostArray */
    if ( strcmp ( argv[2], "GetGhostedCellGhostArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostedCellGhostArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostedCellGhostArray */
    Tcl_DStringAppendElement ( &dString, " Returns the ghosted cells ghost array for the grid associated with the\n given grid ID. The return pointer is a shallow-copy of the internal\n data-structure. The pointer may be NULL iff there is no ghosted cells\n ghost array for the requested grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkUnsignedCharArray *GetGhostedCellGhostArray(const int gridID);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetGhostedCellGhostArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostedGridPointData */
    if ( strcmp ( argv[2], "GetGhostedGridPointData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostedGridPointData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostedGridPointData */
    Tcl_DStringAppendElement ( &dString, " Returns the ghosted grid point data for the grid associated with the\n given grid ID. The return pointer is a shallow-copy of the internal\n data-structure. The pointer may be NULL iff there is no ghosted point\n data for the requested grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPointData *GetGhostedGridPointData(const int gridID);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetGhostedGridPointData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostedGridCellData */
    if ( strcmp ( argv[2], "GetGhostedGridCellData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostedGridCellData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostedGridCellData */
    Tcl_DStringAppendElement ( &dString, " Returns the ghosted grid cell data for the grid associated with the\n given grid ID. The return pointer is a shallow-copy of the internal\n data-structure. The pointer may be NULL iff there is no ghosted cell\n data for the requested grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellData *GetGhostedGridCellData(const int gridID);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetGhostedGridCellData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGhostedPoints */
    if ( strcmp ( argv[2], "GetGhostedPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGhostedPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGhostedPoints */
    Tcl_DStringAppendElement ( &dString, " Returns the ghosted grid points for the grid associated with the given\n grid ID. The return pointer is a shallow-copy of the internal data\n structure. The pointer may be NULL iff there are no ghosted points\n created for the requested grid.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPoints *GetGhostedPoints(const int gridID);" );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractGridConnectivity" );
    /* Closing for GetGhostedPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
