// tcl wrapper for vtkImageDataToUniformGrid object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImageDataToUniformGrid.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImageDataToUniformGridNewCommand()
{
  vtkImageDataToUniformGrid *temp = vtkImageDataToUniformGrid::New();
  return static_cast<ClientData>(temp);
}

int vtkDataObjectAlgorithmCppCommand(vtkDataObjectAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImageDataToUniformGridCppCommand(vtkImageDataToUniformGrid *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkImageDataToUniformGridCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImageDataToUniformGridCppCommand(static_cast<vtkImageDataToUniformGrid *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImageDataToUniformGrid_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkImageDataToUniformGrid"),vtkImageDataToUniformGridNewCommand,vtkImageDataToUniformGridCommand);
  return 0;
}

int VTKTCL_EXPORT vtkImageDataToUniformGridCppCommand(vtkImageDataToUniformGrid *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImageDataToUniformGrid",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkDataObjectAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImageDataToUniformGrid  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataToUniformGrid");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImageDataToUniformGrid  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataToUniformGrid");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImageDataToUniformGrid  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageDataToUniformGrid");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetReverse",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverse(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverseMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetReverseMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetReverse",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverse();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseOn",argv[1]))&&(argc == 2))
    {
    op->ReverseOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseOff",argv[1]))&&(argc == 2))
    {
    op->ReverseOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImageDataToUniformGridCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImageDataToUniformGrid:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetReverse\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetReverse\n",NULL);
    Tcl_AppendResult(interp,"  ReverseOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseOff\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetReverse" );
    Tcl_DStringAppendElement ( &dString, "GetReverseMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetReverseMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetReverse" );
    Tcl_DStringAppendElement ( &dString, "ReverseOn" );
    Tcl_DStringAppendElement ( &dString, "ReverseOff" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkDataObjectAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkImageDataToUniformGrid *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReverse */
    if ( strcmp ( argv[2], "SetReverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReverse */
    Tcl_DStringAppendElement ( &dString, " By default, values of 0 (i.e. Reverse = 0) in the array will\n result in that point or cell to be blanked. Set Reverse to\n 1 to make points or cells to not be blanked for array values\n of 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReverse(int);" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for SetReverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseMinValue */
    if ( strcmp ( argv[2], "GetReverseMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseMinValue */
    Tcl_DStringAppendElement ( &dString, " By default, values of 0 (i.e. Reverse = 0) in the array will\n result in that point or cell to be blanked. Set Reverse to\n 1 to make points or cells to not be blanked for array values\n of 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseMinValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for GetReverseMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseMaxValue */
    if ( strcmp ( argv[2], "GetReverseMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseMaxValue */
    Tcl_DStringAppendElement ( &dString, " By default, values of 0 (i.e. Reverse = 0) in the array will\n result in that point or cell to be blanked. Set Reverse to\n 1 to make points or cells to not be blanked for array values\n of 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseMaxValue();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for GetReverseMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverse */
    if ( strcmp ( argv[2], "GetReverse" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverse" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverse */
    Tcl_DStringAppendElement ( &dString, " By default, values of 0 (i.e. Reverse = 0) in the array will\n result in that point or cell to be blanked. Set Reverse to\n 1 to make points or cells to not be blanked for array values\n of 0.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverse();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for GetReverse */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseOn */
    if ( strcmp ( argv[2], "ReverseOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseOn */
    Tcl_DStringAppendElement ( &dString, " By default, values of 0 (i.e. Reverse = 0) in the array will\n result in that point or cell to be blanked. Set Reverse to\n 1 to make points or cells to not be blanked for array values\n of 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseOn();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for ReverseOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseOff */
    if ( strcmp ( argv[2], "ReverseOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseOff */
    Tcl_DStringAppendElement ( &dString, " By default, values of 0 (i.e. Reverse = 0) in the array will\n result in that point or cell to be blanked. Set Reverse to\n 1 to make points or cells to not be blanked for array values\n of 0.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseOff();" );
    Tcl_DStringAppendElement ( &dString, "vtkImageDataToUniformGrid" );
    /* Closing for ReverseOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkDataObjectAlgorithmCppCommand(static_cast<vtkDataObjectAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
