#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkArcSource_TclCreate(Tcl_Interp *interp);
int vtkArrowSource_TclCreate(Tcl_Interp *interp);
int vtkButtonSource_TclCreate(Tcl_Interp *interp);
int vtkConeSource_TclCreate(Tcl_Interp *interp);
int vtkCubeSource_TclCreate(Tcl_Interp *interp);
int vtkCylinderSource_TclCreate(Tcl_Interp *interp);
int vtkDiskSource_TclCreate(Tcl_Interp *interp);
int vtkEllipticalButtonSource_TclCreate(Tcl_Interp *interp);
int vtkFrustumSource_TclCreate(Tcl_Interp *interp);
int vtkGlyphSource2D_TclCreate(Tcl_Interp *interp);
int vtkHyperOctreeFractalSource_TclCreate(Tcl_Interp *interp);
int vtkHyperTreeGridSource_TclCreate(Tcl_Interp *interp);
int vtkLineSource_TclCreate(Tcl_Interp *interp);
int vtkOutlineCornerFilter_TclCreate(Tcl_Interp *interp);
int vtkOutlineCornerSource_TclCreate(Tcl_Interp *interp);
int vtkOutlineSource_TclCreate(Tcl_Interp *interp);
int vtkParametricFunctionSource_TclCreate(Tcl_Interp *interp);
int vtkPlaneSource_TclCreate(Tcl_Interp *interp);
int vtkPlatonicSolidSource_TclCreate(Tcl_Interp *interp);
int vtkPointSource_TclCreate(Tcl_Interp *interp);
int vtkProgrammableDataObjectSource_TclCreate(Tcl_Interp *interp);
int vtkProgrammableSource_TclCreate(Tcl_Interp *interp);
int vtkRectangularButtonSource_TclCreate(Tcl_Interp *interp);
int vtkRegularPolygonSource_TclCreate(Tcl_Interp *interp);
int vtkSelectionSource_TclCreate(Tcl_Interp *interp);
int vtkSphereSource_TclCreate(Tcl_Interp *interp);
int vtkSuperquadricSource_TclCreate(Tcl_Interp *interp);
int vtkTessellatedBoxSource_TclCreate(Tcl_Interp *interp);
int vtkTextSource_TclCreate(Tcl_Interp *interp);
int vtkTexturedSphereSource_TclCreate(Tcl_Interp *interp);
int vtkGraphToPolyData_TclCreate(Tcl_Interp *interp);
int vtkDiagonalMatrixSource_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkfilterssourcestcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkfilterssourcestcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkfilterssourcestcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkfilterssourcestcl_Init(interp);
}


int VTK_EXPORT Vtkfilterssourcestcl_Init(Tcl_Interp *interp)
{

  vtkArcSource_TclCreate(interp);
  vtkArrowSource_TclCreate(interp);
  vtkButtonSource_TclCreate(interp);
  vtkConeSource_TclCreate(interp);
  vtkCubeSource_TclCreate(interp);
  vtkCylinderSource_TclCreate(interp);
  vtkDiskSource_TclCreate(interp);
  vtkEllipticalButtonSource_TclCreate(interp);
  vtkFrustumSource_TclCreate(interp);
  vtkGlyphSource2D_TclCreate(interp);
  vtkHyperOctreeFractalSource_TclCreate(interp);
  vtkHyperTreeGridSource_TclCreate(interp);
  vtkLineSource_TclCreate(interp);
  vtkOutlineCornerFilter_TclCreate(interp);
  vtkOutlineCornerSource_TclCreate(interp);
  vtkOutlineSource_TclCreate(interp);
  vtkParametricFunctionSource_TclCreate(interp);
  vtkPlaneSource_TclCreate(interp);
  vtkPlatonicSolidSource_TclCreate(interp);
  vtkPointSource_TclCreate(interp);
  vtkProgrammableDataObjectSource_TclCreate(interp);
  vtkProgrammableSource_TclCreate(interp);
  vtkRectangularButtonSource_TclCreate(interp);
  vtkRegularPolygonSource_TclCreate(interp);
  vtkSelectionSource_TclCreate(interp);
  vtkSphereSource_TclCreate(interp);
  vtkSuperquadricSource_TclCreate(interp);
  vtkTessellatedBoxSource_TclCreate(interp);
  vtkTextSource_TclCreate(interp);
  vtkTexturedSphereSource_TclCreate(interp);
  vtkGraphToPolyData_TclCreate(interp);
  vtkDiagonalMatrixSource_TclCreate(interp);
  char pkgName[]="vtkFiltersSourcesTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
