#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAMRDataSetCache_TclCreate(Tcl_Interp *interp);
int vtkAMRBaseParticlesReader_TclCreate(Tcl_Interp *interp);
int vtkAMRBaseReader_TclCreate(Tcl_Interp *interp);
int vtkAMREnzoParticlesReader_TclCreate(Tcl_Interp *interp);
int vtkAMREnzoReader_TclCreate(Tcl_Interp *interp);
int vtkAMRFlashParticlesReader_TclCreate(Tcl_Interp *interp);
int vtkAMRFlashReader_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioamrtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioamrtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioamrtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioamrtcl_Init(interp);
}


int VTK_EXPORT Vtkioamrtcl_Init(Tcl_Interp *interp)
{

  vtkAMRDataSetCache_TclCreate(interp);
  vtkAMRBaseParticlesReader_TclCreate(interp);
  vtkAMRBaseReader_TclCreate(interp);
  vtkAMREnzoParticlesReader_TclCreate(interp);
  vtkAMREnzoReader_TclCreate(interp);
  vtkAMRFlashParticlesReader_TclCreate(interp);
  vtkAMRFlashReader_TclCreate(interp);
  char pkgName[]="vtkIOAMRTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
