#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkBMPReader_TclCreate(Tcl_Interp *interp);
int vtkBMPWriter_TclCreate(Tcl_Interp *interp);
int vtkDEMReader_TclCreate(Tcl_Interp *interp);
int vtkDICOMImageReader_TclCreate(Tcl_Interp *interp);
int vtkGESignaReader_TclCreate(Tcl_Interp *interp);
int vtkImageExport_TclCreate(Tcl_Interp *interp);
int vtkImageImport_TclCreate(Tcl_Interp *interp);
int vtkImageImportExecutive_TclCreate(Tcl_Interp *interp);
int vtkImageReader2Collection_TclCreate(Tcl_Interp *interp);
int vtkImageReader2_TclCreate(Tcl_Interp *interp);
int vtkImageReader2Factory_TclCreate(Tcl_Interp *interp);
int vtkImageReader_TclCreate(Tcl_Interp *interp);
int vtkImageWriter_TclCreate(Tcl_Interp *interp);
int vtkJPEGReader_TclCreate(Tcl_Interp *interp);
int vtkJPEGWriter_TclCreate(Tcl_Interp *interp);
int vtkMedicalImageProperties_TclCreate(Tcl_Interp *interp);
int vtkMedicalImageReader2_TclCreate(Tcl_Interp *interp);
int vtkMetaImageReader_TclCreate(Tcl_Interp *interp);
int vtkMetaImageWriter_TclCreate(Tcl_Interp *interp);
int vtkPNGReader_TclCreate(Tcl_Interp *interp);
int vtkPNGWriter_TclCreate(Tcl_Interp *interp);
int vtkPNMReader_TclCreate(Tcl_Interp *interp);
int vtkPNMWriter_TclCreate(Tcl_Interp *interp);
int vtkPostScriptWriter_TclCreate(Tcl_Interp *interp);
int vtkSLCReader_TclCreate(Tcl_Interp *interp);
int vtkTIFFReader_TclCreate(Tcl_Interp *interp);
int vtkTIFFWriter_TclCreate(Tcl_Interp *interp);
int vtkVolume16Reader_TclCreate(Tcl_Interp *interp);
int vtkVolumeReader_TclCreate(Tcl_Interp *interp);
int vtkNrrdReader_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkioimagetcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkioimagetcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkioimagetcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkioimagetcl_Init(interp);
}


int VTK_EXPORT Vtkioimagetcl_Init(Tcl_Interp *interp)
{

  vtkBMPReader_TclCreate(interp);
  vtkBMPWriter_TclCreate(interp);
  vtkDEMReader_TclCreate(interp);
  vtkDICOMImageReader_TclCreate(interp);
  vtkGESignaReader_TclCreate(interp);
  vtkImageExport_TclCreate(interp);
  vtkImageImport_TclCreate(interp);
  vtkImageImportExecutive_TclCreate(interp);
  vtkImageReader2Collection_TclCreate(interp);
  vtkImageReader2_TclCreate(interp);
  vtkImageReader2Factory_TclCreate(interp);
  vtkImageReader_TclCreate(interp);
  vtkImageWriter_TclCreate(interp);
  vtkJPEGReader_TclCreate(interp);
  vtkJPEGWriter_TclCreate(interp);
  vtkMedicalImageProperties_TclCreate(interp);
  vtkMedicalImageReader2_TclCreate(interp);
  vtkMetaImageReader_TclCreate(interp);
  vtkMetaImageWriter_TclCreate(interp);
  vtkPNGReader_TclCreate(interp);
  vtkPNGWriter_TclCreate(interp);
  vtkPNMReader_TclCreate(interp);
  vtkPNMWriter_TclCreate(interp);
  vtkPostScriptWriter_TclCreate(interp);
  vtkSLCReader_TclCreate(interp);
  vtkTIFFReader_TclCreate(interp);
  vtkTIFFWriter_TclCreate(interp);
  vtkVolume16Reader_TclCreate(interp);
  vtkVolumeReader_TclCreate(interp);
  vtkNrrdReader_TclCreate(interp);
  char pkgName[]="vtkIOImageTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
