#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkMINCImageAttributes_TclCreate(Tcl_Interp *interp);
int vtkMINCImageReader_TclCreate(Tcl_Interp *interp);
int vtkMINCImageWriter_TclCreate(Tcl_Interp *interp);
int vtkMNIObjectReader_TclCreate(Tcl_Interp *interp);
int vtkMNIObjectWriter_TclCreate(Tcl_Interp *interp);
int vtkMNITagPointReader_TclCreate(Tcl_Interp *interp);
int vtkMNITagPointWriter_TclCreate(Tcl_Interp *interp);
int vtkMNITransformReader_TclCreate(Tcl_Interp *interp);
int vtkMNITransformWriter_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkiominctcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkiominctcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkiominctcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkiominctcl_Init(interp);
}


int VTK_EXPORT Vtkiominctcl_Init(Tcl_Interp *interp)
{

  vtkMINCImageAttributes_TclCreate(interp);
  vtkMINCImageReader_TclCreate(interp);
  vtkMINCImageWriter_TclCreate(interp);
  vtkMNIObjectReader_TclCreate(interp);
  vtkMNIObjectWriter_TclCreate(interp);
  vtkMNITagPointReader_TclCreate(interp);
  vtkMNITagPointWriter_TclCreate(interp);
  vtkMNITransformReader_TclCreate(interp);
  vtkMNITransformWriter_TclCreate(interp);
  char pkgName[]="vtkIOMINCTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
