#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageButterworthHighPass_TclCreate(Tcl_Interp *interp);
int vtkImageButterworthLowPass_TclCreate(Tcl_Interp *interp);
int vtkImageFFT_TclCreate(Tcl_Interp *interp);
int vtkImageFourierCenter_TclCreate(Tcl_Interp *interp);
int vtkImageFourierFilter_TclCreate(Tcl_Interp *interp);
int vtkImageIdealHighPass_TclCreate(Tcl_Interp *interp);
int vtkImageIdealLowPass_TclCreate(Tcl_Interp *interp);
int vtkImageRFFT_TclCreate(Tcl_Interp *interp);
int vtkTableFFT_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkimagingfouriertcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkimagingfouriertcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkimagingfouriertcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkimagingfouriertcl_Init(interp);
}


int VTK_EXPORT Vtkimagingfouriertcl_Init(Tcl_Interp *interp)
{

  vtkImageButterworthHighPass_TclCreate(interp);
  vtkImageButterworthLowPass_TclCreate(interp);
  vtkImageFFT_TclCreate(interp);
  vtkImageFourierCenter_TclCreate(interp);
  vtkImageFourierFilter_TclCreate(interp);
  vtkImageIdealHighPass_TclCreate(interp);
  vtkImageIdealLowPass_TclCreate(interp);
  vtkImageRFFT_TclCreate(interp);
  vtkTableFFT_TclCreate(interp);
  char pkgName[]="vtkImagingFourierTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
