#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkImageDivergence_TclCreate(Tcl_Interp *interp);
int vtkImageDotProduct_TclCreate(Tcl_Interp *interp);
int vtkImageLogarithmicScale_TclCreate(Tcl_Interp *interp);
int vtkImageLogic_TclCreate(Tcl_Interp *interp);
int vtkImageMagnitude_TclCreate(Tcl_Interp *interp);
int vtkImageMaskBits_TclCreate(Tcl_Interp *interp);
int vtkImageMathematics_TclCreate(Tcl_Interp *interp);
int vtkImageWeightedSum_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkimagingmathtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkimagingmathtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkimagingmathtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkimagingmathtcl_Init(interp);
}


int VTK_EXPORT Vtkimagingmathtcl_Init(Tcl_Interp *interp)
{

  vtkImageDivergence_TclCreate(interp);
  vtkImageDotProduct_TclCreate(interp);
  vtkImageLogarithmicScale_TclCreate(interp);
  vtkImageLogic_TclCreate(interp);
  vtkImageMagnitude_TclCreate(interp);
  vtkImageMaskBits_TclCreate(interp);
  vtkImageMathematics_TclCreate(interp);
  vtkImageWeightedSum_TclCreate(interp);
  char pkgName[]="vtkImagingMathTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
