#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkCommunicator_TclCreate(Tcl_Interp *interp);
int vtkDummyCommunicator_TclCreate(Tcl_Interp *interp);
int vtkDummyController_TclCreate(Tcl_Interp *interp);
int vtkMultiProcessController_TclCreate(Tcl_Interp *interp);
int vtkProcess_TclCreate(Tcl_Interp *interp);
int vtkProcessGroup_TclCreate(Tcl_Interp *interp);
int vtkSocketCommunicator_TclCreate(Tcl_Interp *interp);
int vtkSocketController_TclCreate(Tcl_Interp *interp);
int vtkSubCommunicator_TclCreate(Tcl_Interp *interp);
int vtkSubGroup_TclCreate(Tcl_Interp *interp);
int vtkFieldDataSerializer_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkparallelcoretcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkparallelcoretcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkparallelcoretcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkparallelcoretcl_Init(interp);
}


int VTK_EXPORT Vtkparallelcoretcl_Init(Tcl_Interp *interp)
{

  vtkCommunicator_TclCreate(interp);
  vtkDummyCommunicator_TclCreate(interp);
  vtkDummyController_TclCreate(interp);
  vtkMultiProcessController_TclCreate(interp);
  vtkProcess_TclCreate(interp);
  vtkProcessGroup_TclCreate(interp);
  vtkSocketCommunicator_TclCreate(interp);
  vtkSocketController_TclCreate(interp);
  vtkSubCommunicator_TclCreate(interp);
  vtkSubGroup_TclCreate(interp);
  vtkFieldDataSerializer_TclCreate(interp);
  char pkgName[]="vtkParallelCoreTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
