#include "vtkTclUtil.h"
#include "vtkVersion.h"
#define VTK_TCL_TO_STRING(x) VTK_TCL_TO_STRING0(x)
#define VTK_TCL_TO_STRING0(x) #x
extern "C"
{
#if (TCL_MAJOR_VERSION == 8) && (TCL_MINOR_VERSION >= 4)
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, CONST84 char *[]);
#else
  typedef int (*vtkTclCommandType)(ClientData, Tcl_Interp *,int, char *[]);
#endif
}

int vtkAnnotatedCubeActor_TclCreate(Tcl_Interp *interp);
int vtkArcPlotter_TclCreate(Tcl_Interp *interp);
int vtkAxesActor_TclCreate(Tcl_Interp *interp);
int vtkAxisActor2D_TclCreate(Tcl_Interp *interp);
int vtkAxisActor_TclCreate(Tcl_Interp *interp);
int vtkAxisFollower_TclCreate(Tcl_Interp *interp);
int vtkBarChartActor_TclCreate(Tcl_Interp *interp);
int vtkCaptionActor2D_TclCreate(Tcl_Interp *interp);
int vtkCornerAnnotation_TclCreate(Tcl_Interp *interp);
int vtkCubeAxesActor2D_TclCreate(Tcl_Interp *interp);
int vtkCubeAxesActor_TclCreate(Tcl_Interp *interp);
int vtkLeaderActor2D_TclCreate(Tcl_Interp *interp);
int vtkLegendBoxActor_TclCreate(Tcl_Interp *interp);
int vtkLegendScaleActor_TclCreate(Tcl_Interp *interp);
int vtkPieChartActor_TclCreate(Tcl_Interp *interp);
int vtkPolarAxesActor_TclCreate(Tcl_Interp *interp);
int vtkScalarBarActor_TclCreate(Tcl_Interp *interp);
int vtkSpiderPlotActor_TclCreate(Tcl_Interp *interp);
int vtkXYPlotActor_TclCreate(Tcl_Interp *interp);

extern Tcl_HashTable vtkInstanceLookup;
extern Tcl_HashTable vtkPointerLookup;
extern Tcl_HashTable vtkCommandLookup;
extern void vtkTclDeleteObjectFromHash(void *);
extern void vtkTclListInstances(Tcl_Interp *interp, ClientData arg);


extern "C" {int VTK_EXPORT Vtkrenderingannotationtcl_SafeInit(Tcl_Interp *interp);}

extern "C" {int VTK_EXPORT Vtkrenderingannotationtcl_Init(Tcl_Interp *interp);}

extern void vtkTclGenericDeleteObject(ClientData cd);


int VTK_EXPORT Vtkrenderingannotationtcl_SafeInit(Tcl_Interp *interp)
{
  return Vtkrenderingannotationtcl_Init(interp);
}


int VTK_EXPORT Vtkrenderingannotationtcl_Init(Tcl_Interp *interp)
{

  vtkAnnotatedCubeActor_TclCreate(interp);
  vtkArcPlotter_TclCreate(interp);
  vtkAxesActor_TclCreate(interp);
  vtkAxisActor2D_TclCreate(interp);
  vtkAxisActor_TclCreate(interp);
  vtkAxisFollower_TclCreate(interp);
  vtkBarChartActor_TclCreate(interp);
  vtkCaptionActor2D_TclCreate(interp);
  vtkCornerAnnotation_TclCreate(interp);
  vtkCubeAxesActor2D_TclCreate(interp);
  vtkCubeAxesActor_TclCreate(interp);
  vtkLeaderActor2D_TclCreate(interp);
  vtkLegendBoxActor_TclCreate(interp);
  vtkLegendScaleActor_TclCreate(interp);
  vtkPieChartActor_TclCreate(interp);
  vtkPolarAxesActor_TclCreate(interp);
  vtkScalarBarActor_TclCreate(interp);
  vtkSpiderPlotActor_TclCreate(interp);
  vtkXYPlotActor_TclCreate(interp);
  char pkgName[]="vtkRenderingAnnotationTCL";
  char pkgVers[]=VTK_TCL_TO_STRING(VTK_MAJOR_VERSION) "." VTK_TCL_TO_STRING(VTK_MINOR_VERSION);
  Tcl_PkgProvide(interp, pkgName, pkgVers);
  return TCL_OK;
}
