// tcl wrapper for vtkCompositeDataDisplayAttributes object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkCompositeDataDisplayAttributes.h"

#include "vtkTclUtil.h"
#include "vtkStdString.h"
#include <stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkCompositeDataDisplayAttributesNewCommand()
{
  vtkCompositeDataDisplayAttributes *temp = vtkCompositeDataDisplayAttributes::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkCompositeDataDisplayAttributesCppCommand(vtkCompositeDataDisplayAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int vtkCompositeDataDisplayAttributesCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkCompositeDataDisplayAttributesCppCommand(static_cast<vtkCompositeDataDisplayAttributes *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkCompositeDataDisplayAttributes_TclCreate(Tcl_Interp *interp)
{
  vtkTclCreateNew(interp,const_cast<char *>("vtkCompositeDataDisplayAttributes"),vtkCompositeDataDisplayAttributesNewCommand,vtkCompositeDataDisplayAttributesCommand);
  return 0;
}

int VTKTCL_EXPORT vtkCompositeDataDisplayAttributesCppCommand(vtkCompositeDataDisplayAttributes *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi = 0;      (void)tempi;
  double tempd = 0.0;    (void)tempd;
  static char temps[80]; (void)temps;
  int    error = 0;      (void)error;
  temps[0] = 0;

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkCompositeDataDisplayAttributes",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkCompositeDataDisplayAttributes  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeDataDisplayAttributes");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkCompositeDataDisplayAttributes  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeDataDisplayAttributes");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkCompositeDataDisplayAttributes  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCompositeDataDisplayAttributes");
    return TCL_OK;
    }
    }
  if ((!strcmp("HasBlockVisibilities",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasBlockVisibilities();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetBlockVisibility",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    bool   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi ? true : false;
    if (!error)
    {
    op->SetBlockVisibility(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockVisibility",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetBlockVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasBlockVisibility",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->HasBlockVisibility(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBlockVisibility",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->RemoveBlockVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBlockVisibilites",argv[1]))&&(argc == 2))
    {
    op->RemoveBlockVisibilites();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HasBlockColors",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasBlockColors();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasBlockColor",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->HasBlockColor(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBlockColor",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->RemoveBlockColor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBlockColors",argv[1]))&&(argc == 2))
    {
    op->RemoveBlockColors();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetBlockOpacity",argv[1]))&&(argc == 4))
    {
    unsigned int      temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetBlockOpacity(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBlockOpacity",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->GetBlockOpacity(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasBlockOpacities",argv[1]))&&(argc == 2))
    {
    bool   temp20;
    temp20 = (op)->HasBlockOpacities();
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HasBlockOpacity",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    bool   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    temp20 = (op)->HasBlockOpacity(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",(int)temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBlockOpacity",argv[1]))&&(argc == 3))
    {
    unsigned int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned int>(tempi);
    if (!error)
    {
    op->RemoveBlockOpacity(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveBlockOpacities",argv[1]))&&(argc == 2))
    {
    op->RemoveBlockOpacities();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkCompositeDataDisplayAttributesCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkCompositeDataDisplayAttributes:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasBlockVisibilities\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockVisibility\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasBlockVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBlockVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBlockVisibilites\n",NULL);
    Tcl_AppendResult(interp,"  HasBlockColors\n",NULL);
    Tcl_AppendResult(interp,"  HasBlockColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBlockColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBlockColors\n",NULL);
    Tcl_AppendResult(interp,"  SetBlockOpacity\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBlockOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasBlockOpacities\n",NULL);
    Tcl_AppendResult(interp,"  HasBlockOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBlockOpacity\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveBlockOpacities\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "HasBlockVisibilities" );
    Tcl_DStringAppendElement ( &dString, "SetBlockVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetBlockVisibility" );
    Tcl_DStringAppendElement ( &dString, "HasBlockVisibility" );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockVisibility" );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockVisibilites" );
    Tcl_DStringAppendElement ( &dString, "HasBlockColors" );
    Tcl_DStringAppendElement ( &dString, "HasBlockColor" );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockColor" );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockColors" );
    Tcl_DStringAppendElement ( &dString, "SetBlockOpacity" );
    Tcl_DStringAppendElement ( &dString, "GetBlockOpacity" );
    Tcl_DStringAppendElement ( &dString, "HasBlockOpacities" );
    Tcl_DStringAppendElement ( &dString, "HasBlockOpacity" );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockOpacity" );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockOpacities" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkCompositeDataDisplayAttributes *New();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA(const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes *NewInstance();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes *SafeDownCast(vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasBlockVisibilities */
    if ( strcmp ( argv[2], "HasBlockVisibilities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasBlockVisibilities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasBlockVisibilities */
    Tcl_DStringAppendElement ( &dString, " Returns true if any block has any block visibility is set.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasBlockVisibilities() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for HasBlockVisibilities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlockVisibility */
    if ( strcmp ( argv[2], "SetBlockVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlockVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "bool" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlockVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/get the visibility for the block with \\p flat_index.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlockVisibility(unsigned int flat_index, bool visible);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for SetBlockVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockVisibility */
    if ( strcmp ( argv[2], "GetBlockVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockVisibility */
    Tcl_DStringAppendElement ( &dString, " Set/get the visibility for the block with \\p flat_index.\n" );
    Tcl_DStringAppendElement ( &dString, "bool GetBlockVisibility(unsigned int flat_index) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for GetBlockVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasBlockVisibility */
    if ( strcmp ( argv[2], "HasBlockVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasBlockVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasBlockVisibility */
    Tcl_DStringAppendElement ( &dString, " Returns true if the block with the given flat_index has a visiblity\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasBlockVisibility(unsigned int flat_index) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for HasBlockVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBlockVisibility */
    if ( strcmp ( argv[2], "RemoveBlockVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBlockVisibility */
    Tcl_DStringAppendElement ( &dString, " Removes the block visibility flag for the block with flat_index.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBlockVisibility(unsigned int flat_index);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for RemoveBlockVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBlockVisibilites */
    if ( strcmp ( argv[2], "RemoveBlockVisibilites" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockVisibilites" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBlockVisibilites */
    Tcl_DStringAppendElement ( &dString, " Removes all block visibility flags. The effectively sets the visibility\n for all blocks to true.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBlockVisibilites();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for RemoveBlockVisibilites */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasBlockColors */
    if ( strcmp ( argv[2], "HasBlockColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasBlockColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasBlockColors */
    Tcl_DStringAppendElement ( &dString, " Returns true if any block has any block color is set.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasBlockColors() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for HasBlockColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasBlockColor */
    if ( strcmp ( argv[2], "HasBlockColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasBlockColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasBlockColor */
    Tcl_DStringAppendElement ( &dString, " Returns true if the block with the given \\p flat_index has a color.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasBlockColor(unsigned int flat_index) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for HasBlockColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBlockColor */
    if ( strcmp ( argv[2], "RemoveBlockColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBlockColor */
    Tcl_DStringAppendElement ( &dString, " Removes the block color for the block with \\p flat_index.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBlockColor(unsigned int flat_index);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for RemoveBlockColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBlockColors */
    if ( strcmp ( argv[2], "RemoveBlockColors" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockColors" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBlockColors */
    Tcl_DStringAppendElement ( &dString, " Removes all block colors.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBlockColors();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for RemoveBlockColors */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBlockOpacity */
    if ( strcmp ( argv[2], "SetBlockOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBlockOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBlockOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/get the opacity for the block with flat_index.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBlockOpacity(unsigned int flat_index, double opacity);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for SetBlockOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBlockOpacity */
    if ( strcmp ( argv[2], "GetBlockOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBlockOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBlockOpacity */
    Tcl_DStringAppendElement ( &dString, " Set/get the opacity for the block with flat_index.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetBlockOpacity(unsigned int flat_index) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for GetBlockOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasBlockOpacities */
    if ( strcmp ( argv[2], "HasBlockOpacities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasBlockOpacities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasBlockOpacities */
    Tcl_DStringAppendElement ( &dString, " Returns true if any block has an opacity set.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasBlockOpacities() const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for HasBlockOpacities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasBlockOpacity */
    if ( strcmp ( argv[2], "HasBlockOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasBlockOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasBlockOpacity */
    Tcl_DStringAppendElement ( &dString, " Returns true if the block with flat_index has an opacity set.\n" );
    Tcl_DStringAppendElement ( &dString, "bool HasBlockOpacity(unsigned int flat_index) const;" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for HasBlockOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBlockOpacity */
    if ( strcmp ( argv[2], "RemoveBlockOpacity" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockOpacity" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBlockOpacity */
    Tcl_DStringAppendElement ( &dString, " Removes the set opacity for the block with flat_index.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBlockOpacity(unsigned int flat_index);" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for RemoveBlockOpacity */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveBlockOpacities */
    if ( strcmp ( argv[2], "RemoveBlockOpacities" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveBlockOpacities" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveBlockOpacities */
    Tcl_DStringAppendElement ( &dString, " Removes all block opacities.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveBlockOpacities();" );
    Tcl_DStringAppendElement ( &dString, "vtkCompositeDataDisplayAttributes" );
    /* Closing for RemoveBlockOpacities */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (std::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
