// python wrapper for vtkPCAStatisticsGnuR
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkPCAStatisticsGnuR.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkPCAStatisticsGnuR(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkPCAStatisticsGnuRNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkPCAStatisticsNew
extern "C" { PyObject *PyVTKClass_vtkPCAStatisticsNew(const char *); }
#define DECLARED_PyVTKClass_vtkPCAStatisticsNew
#endif

static const char **PyvtkPCAStatisticsGnuR_Doc();


static PyObject *
PyvtkPCAStatisticsGnuR_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPCAStatisticsGnuR *op = static_cast<vtkPCAStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkPCAStatisticsGnuR::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPCAStatisticsGnuR_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPCAStatisticsGnuR *op = static_cast<vtkPCAStatisticsGnuR *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkPCAStatisticsGnuR::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkPCAStatisticsGnuR_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkPCAStatisticsGnuR *op = static_cast<vtkPCAStatisticsGnuR *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkPCAStatisticsGnuR *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkPCAStatisticsGnuR::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkPCAStatisticsGnuR_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkPCAStatisticsGnuR *tempr = vtkPCAStatisticsGnuR::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkPCAStatisticsGnuR_Methods[] = {
  {(char*)"GetClassName", PyvtkPCAStatisticsGnuR_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkPCAStatisticsGnuR_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkPCAStatisticsGnuR_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPCAStatisticsGnuR\nC++: vtkPCAStatisticsGnuR *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkPCAStatisticsGnuR_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPCAStatisticsGnuR\nC++: vtkPCAStatisticsGnuR *SafeDownCast(vtkObject* o)\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkPCAStatisticsGnuR_StaticNew()
{
  return vtkPCAStatisticsGnuR::New();
}

PyObject *PyVTKClass_vtkPCAStatisticsGnuRNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkPCAStatisticsGnuR_StaticNew,
    PyvtkPCAStatisticsGnuR_Methods,
    "vtkPCAStatisticsGnuR", modulename,
    NULL, NULL,
    PyvtkPCAStatisticsGnuR_Doc(),
    PyVTKClass_vtkPCAStatisticsNew(modulename));
  return cls;
}

const char **PyvtkPCAStatisticsGnuR_Doc()
{
  static const char *docstring[] = {
    "vtkPCAStatisticsGnuR - A class for multivariate principal component\nanalysis\n\n",
    "Superclass: vtkPCAStatistics\n\n",
    "This class derives from the multi-correlative statistics algorithm\nand uses the covariance matrix and Cholesky decomposition computed by\nit. However, when it finalizes the statistics in learn operation, the\nPCA class computes the SVD of the covariance matrix in order to\nobtain its eigenvectors.\n\nIn the assess operation, the input data are\n- projected into the basis defined by the eigenvectors,\n- t",
    "he energy associated with each datum is computed,\n- or some combination thereof. Additionally, the user may specify\n  some threshold energy or eigenvector entry below which the basis is\ntruncated. This allows projection into a lower-dimensional state\n  while minimizing (in a least squares sense) the projection error.\n\nIn the test operation, a Jarque-Bera-Srivastava test of n-d normality\nis perform",
    "ed.\n\nThanks:\n\nThanks to David Thompson, Philippe Pebay and Jackson Mayo from Sandia\nNational Laboratories for implementing this class. Updated by\nPhilippe Pebay, Kitware SAS 2012\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkPCAStatisticsGnuR(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkPCAStatisticsGnuRNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkPCAStatisticsGnuR", o) != 0)
    {
    Py_DECREF(o);
    }

}

