// python wrapper for vtkRRandomTableSource
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkRRandomTableSource.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkRRandomTableSource(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkRRandomTableSourceNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkTableAlgorithmNew
extern "C" { PyObject *PyVTKClass_vtkTableAlgorithmNew(const char *); }
#define DECLARED_PyVTKClass_vtkTableAlgorithmNew
#endif

static const char **PyvtkRRandomTableSource_Doc();


static PyObject *
PyvtkRRandomTableSource_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkRRandomTableSource::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkRRandomTableSource::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkRRandomTableSource *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkRRandomTableSource::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkRRandomTableSource *tempr = vtkRRandomTableSource::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_SetNumberOfRows(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetNumberOfRows");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetNumberOfRows(temp0);
      }
    else
      {
      op->vtkRRandomTableSource::SetNumberOfRows(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_GetNumberOfRows(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfRows");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfRows() :
      op->vtkRRandomTableSource::GetNumberOfRows());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_GetNumberOfColumns(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfColumns");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfColumns() :
      op->vtkRRandomTableSource::GetNumberOfColumns());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_ClearTableOutput(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ClearTableOutput");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ClearTableOutput();
      }
    else
      {
      op->vtkRRandomTableSource::ClearTableOutput();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_SetRandGenSeed(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetRandGenSeed");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetRandGenSeed(temp0);
      }
    else
      {
      op->vtkRRandomTableSource::SetRandGenSeed(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkRRandomTableSource_SetStatisticalDistributionForColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetStatisticalDistributionForColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRRandomTableSource *op = static_cast<vtkRRandomTableSource *>(vp);

  int temp0;
  double temp1;
  double temp2;
  double temp3;
  char *temp4 = NULL;
  int temp5;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(6) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1) &&
      ap.GetValue(temp2) &&
      ap.GetValue(temp3) &&
      ap.GetValue(temp4) &&
      ap.GetValue(temp5))
    {
    if (ap.IsBound())
      {
      op->SetStatisticalDistributionForColumn(temp0, temp1, temp2, temp3, temp4, temp5);
      }
    else
      {
      op->vtkRRandomTableSource::SetStatisticalDistributionForColumn(temp0, temp1, temp2, temp3, temp4, temp5);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkRRandomTableSource_Methods[] = {
  {(char*)"GetClassName", PyvtkRRandomTableSource_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkRRandomTableSource_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkRRandomTableSource_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRRandomTableSource\nC++: vtkRRandomTableSource *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkRRandomTableSource_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRRandomTableSource\nC++: vtkRRandomTableSource *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetNumberOfRows", PyvtkRRandomTableSource_SetNumberOfRows, 1,
   (char*)"V.SetNumberOfRows(int)\nC++: void SetNumberOfRows(int nrows)\n\nSet and Get the number of rows in the output table (random\nnumbers).\n"},
  {(char*)"GetNumberOfRows", PyvtkRRandomTableSource_GetNumberOfRows, 1,
   (char*)"V.GetNumberOfRows() -> int\nC++: int GetNumberOfRows()\n\nSet and Get the number of rows in the output table (random\nnumbers).\n"},
  {(char*)"GetNumberOfColumns", PyvtkRRandomTableSource_GetNumberOfColumns, 1,
   (char*)"V.GetNumberOfColumns() -> int\nC++: int GetNumberOfColumns()\n\nReturns number of columns in the output table.\n"},
  {(char*)"ClearTableOutput", PyvtkRRandomTableSource_ClearTableOutput, 1,
   (char*)"V.ClearTableOutput()\nC++: void ClearTableOutput()\n\nClears table output to zero output columns.  Number of table rows\nis unchanged.\n"},
  {(char*)"SetRandGenSeed", PyvtkRRandomTableSource_SetRandGenSeed, 1,
   (char*)"V.SetRandGenSeed(int)\nC++: void SetRandGenSeed(const int seed)\n\nSet the random seed used by Gnu R to generate output.  The\ndefault is to use the random seed provided by Gnu R based on the\ncurrent time.\n"},
  {(char*)"SetStatisticalDistributionForColumn", PyvtkRRandomTableSource_SetStatisticalDistributionForColumn, 1,
   (char*)"V.SetStatisticalDistributionForColumn(int, float, float, float,\n    string, int)\nC++: void SetStatisticalDistributionForColumn(int StatDistType,\n    double param1, double param2, double param3,\n    const char *ColumnName, int column_index)\n\nPython wrapped version of above method.  Use integer equivalent\nof StatDistType.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkRRandomTableSource_StaticNew()
{
  return vtkRRandomTableSource::New();
}

PyObject *PyVTKClass_vtkRRandomTableSourceNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkRRandomTableSource_StaticNew,
    PyvtkRRandomTableSource_Methods,
    "vtkRRandomTableSource", modulename,
    NULL, NULL,
    PyvtkRRandomTableSource_Doc(),
    PyVTKClass_vtkTableAlgorithmNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"WILCOXONRANKSUM", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"WILCOXONSIGNEDRANK", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"LOGISTIC", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"WEIBULL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"POISSON", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"NEGBINOMIAL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(6);
    if (o && PyDict_SetItemString(d, (char *)"HYPERGEOM", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(7);
    if (o && PyDict_SetItemString(d, (char *)"GEOM", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(8);
    if (o && PyDict_SetItemString(d, (char *)"EXP", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(9);
    if (o && PyDict_SetItemString(d, (char *)"CAUCHY", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(10);
    if (o && PyDict_SetItemString(d, (char *)"T", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(11);
    if (o && PyDict_SetItemString(d, (char *)"F", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(12);
    if (o && PyDict_SetItemString(d, (char *)"LOGNORMAL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(13);
    if (o && PyDict_SetItemString(d, (char *)"GAMMA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(14);
    if (o && PyDict_SetItemString(d, (char *)"UNIF", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(15);
    if (o && PyDict_SetItemString(d, (char *)"BETA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(16);
    if (o && PyDict_SetItemString(d, (char *)"BINOMIAL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(17);
    if (o && PyDict_SetItemString(d, (char *)"NORMAL", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(18);
    if (o && PyDict_SetItemString(d, (char *)"CHISQUARE", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkRRandomTableSource_Doc()
{
  static const char *docstring[] = {
    "vtkRRandomTableSource - Generates vtkTables with columns of random\nnumbers using Gnu R.\n\n",
    "Superclass: vtkTableAlgorithm\n\n",
    "Note - An installation of Gnu R is required to build and use this\nclass.\n\nvtkRRandomTableSource uses the Gnu R math C language API for\nstatistical distributions to generate vtkTables with columns of\nrandom numbers selected from a chosen distribution. The available\ndistributions are as follows:\n\n\n  Normal, Cauchy, F, Student T, Poisson, Chi-Square, Exponential,\nBinomial, Beta, Geometric,\n  Uniform,",
    " Gamma, Log-Normal, Logistic, Hyper-Geometric, Weibull,\nNegative Binomial, Wilcox\n\nThe default output for the class is a table of one column with ten\nrows of random numbers chosen from a Normal distribution of mean 0.0\nand standard deviation of 1.0.\n\nUse SetNumberOfRows() to set the number of rows (random numbers) in\nthe output table.\n\nSee comments for SetStatisticalDistributionForColumn() to set ",
    "the\ndistribution output for a particular column or all columns in the\noutput table.\n\nSee Also:\n\nvtkRInterface\n\nThanks:\n\nDeveloped by Thomas J. Otahal (tjotaha@sandia.gov) at Sandia National\nLaboratories.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkRRandomTableSource(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkRRandomTableSourceNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkRRandomTableSource", o) != 0)
    {
    Py_DECREF(o);
    }

}

