// python wrapper for vtkRenderingFreeTypeObjectFactory
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkRenderingFreeTypeObjectFactory.h"

extern "C" { VTK_ABI_EXPORT void PyVTKAddFile_vtkRenderingFreeTypeObjectFactory(PyObject *, const char *); }
extern "C" { VTK_ABI_EXPORT PyObject *PyVTKClass_vtkRenderingFreeTypeObjectFactoryNew(const char *); }

#ifndef DECLARED_PyVTKClass_vtkObjectFactoryNew
extern "C" { PyObject *PyVTKClass_vtkObjectFactoryNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectFactoryNew
#endif

static const char **PyvtkRenderingFreeTypeObjectFactory_Doc();


static PyObject *
PyvtkRenderingFreeTypeObjectFactory_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderingFreeTypeObjectFactory *op = static_cast<vtkRenderingFreeTypeObjectFactory *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkRenderingFreeTypeObjectFactory::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderingFreeTypeObjectFactory_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderingFreeTypeObjectFactory *op = static_cast<vtkRenderingFreeTypeObjectFactory *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkRenderingFreeTypeObjectFactory::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderingFreeTypeObjectFactory_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderingFreeTypeObjectFactory *op = static_cast<vtkRenderingFreeTypeObjectFactory *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkRenderingFreeTypeObjectFactory *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkRenderingFreeTypeObjectFactory::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkRenderingFreeTypeObjectFactory_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkRenderingFreeTypeObjectFactory *tempr = vtkRenderingFreeTypeObjectFactory::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderingFreeTypeObjectFactory_GetDescription(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetDescription");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderingFreeTypeObjectFactory *op = static_cast<vtkRenderingFreeTypeObjectFactory *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetDescription() :
      op->vtkRenderingFreeTypeObjectFactory::GetDescription());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkRenderingFreeTypeObjectFactory_GetVTKSourceVersion(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetVTKSourceVersion");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkRenderingFreeTypeObjectFactory *op = static_cast<vtkRenderingFreeTypeObjectFactory *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetVTKSourceVersion() :
      op->vtkRenderingFreeTypeObjectFactory::GetVTKSourceVersion());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkRenderingFreeTypeObjectFactory_Methods[] = {
  {(char*)"GetClassName", PyvtkRenderingFreeTypeObjectFactory_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkRenderingFreeTypeObjectFactory_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkRenderingFreeTypeObjectFactory_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRenderingFreeTypeObjectFactory\nC++: vtkRenderingFreeTypeObjectFactory *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkRenderingFreeTypeObjectFactory_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRenderingFreeTypeObjectFactory\nC++: vtkRenderingFreeTypeObjectFactory *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetDescription", PyvtkRenderingFreeTypeObjectFactory_GetDescription, 1,
   (char*)"V.GetDescription() -> string\nC++: const char *GetDescription()\n\n"},
  {(char*)"GetVTKSourceVersion", PyvtkRenderingFreeTypeObjectFactory_GetVTKSourceVersion, 1,
   (char*)"V.GetVTKSourceVersion() -> string\nC++: const char *GetVTKSourceVersion()\n\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkRenderingFreeTypeObjectFactory_StaticNew()
{
  return vtkRenderingFreeTypeObjectFactory::New();
}

PyObject *PyVTKClass_vtkRenderingFreeTypeObjectFactoryNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkRenderingFreeTypeObjectFactory_StaticNew,
    PyvtkRenderingFreeTypeObjectFactory_Methods,
    "vtkRenderingFreeTypeObjectFactory", modulename,
    NULL, NULL,
    PyvtkRenderingFreeTypeObjectFactory_Doc(),
    PyVTKClass_vtkObjectFactoryNew(modulename));
  return cls;
}

const char **PyvtkRenderingFreeTypeObjectFactory_Doc()
{
  static const char *docstring[] = {
    "vtkRenderingFreeTypeObjectFactory - no description provided.\n\n",
    "Superclass: vtkObjectFactory\n\n",
    "\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkRenderingFreeTypeObjectFactory(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkRenderingFreeTypeObjectFactoryNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkRenderingFreeTypeObjectFactory", o) != 0)
    {
    Py_DECREF(o);
    }

}

